# Invocation class

Representation of the invocation of a member on an object.

This is the type of objects passed to Object.noSuchMethod when an object doesn't support the member invocation that was attempted on it.

## Constructors

Invocation()
Invocation.genericMethod(Symbol memberName, Iterable<Type> typeArguments, Iterable<Object> positionalArguments, [ Map<Symbol, Object> namedArguments ])
  Creates an invocation corresponding to a generic method invocation. [...]
  factory
Invocation.getter(Symbol name)
  Creates an invocation corresponding to a getter invocation.
  factory
Invocation.method(Symbol memberName, Iterable<Object> positionalArguments, [ Map<Symbol, Object> namedArguments ])
  Creates an invocation corresponding to a method invocation. [...]
  factory
Invocation.setter(Symbol memberName, Object argument)
  Creates an invocation corresponding to a setter invocation. [...]
  factory

## Properties

isAccessor → bool
  Whether the invocation was a getter or a setter call.
  read-only
isGetter → bool
  Whether the invocation was a getter call. If so, all three types of arguments lists are empty.
  read-only
isMethod → bool
  Whether the invocation was a method call.
  read-only
isSetter → bool
  Whether the invocation was a setter call. [...]
  read-only
memberName → Symbol
  The name of the invoked member.
  read-only
namedArguments → Map<Symbol, dynamic>
  An unmodifiable view of the named arguments of the call. [...]
  read-only
positionalArguments → List
  An unmodifiable view of the positional arguments of the call. [...]
  read-only
typeArguments → List<Type>
  An unmodifiable view of the type arguments of the call. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited